#!/usr/bin/python

"""This file provides taking Live Object Monitoring (LOM) before and after running of an experiment"""

__author__ = 'Mohammadreza Ghanavati'
__credits__ = ["Mohammadreza Ghanavati", "Artur Andrzejak"]
__email__ = "mohammadreza.ghanavati@informatik.uni-heidelberg.de"
__date__ = '1/19/14'
__status__ = "Production"


from constants import *
from toolsAgingScripts import *


# Primary function of this file
def lom_snapshot(isInstrumented, beforeAfterRun):
    """take lom snapshot
    @param isInstrumented: [instrumented] if it is instrumented or not
    @param beforeAfterRun: the time for instrument hadoop: before run || after run
    @rtype : object
    """
    print
    print "#################################"

    # call take lom snapshot function;
    if "v" + isInstrumented == "vinstrumented":
        processName = "java"
        listCmdArgs = ['-jar', LOM_CLIENT_JAR, 'los', beforeAfterRun]
        run_process(processName, listCmdArgs, LOM_CLIENT_DIR)

    print "#################################"
    print
    print ("%s: ... took LOS data ..." % current_time())
    return